#include "spellcheck.h"

void error(char *msg)
{
    fprintf(stderr, msg);
    exit(0);
}


void consult_user(Word w)
{
    // Ask user what to do with unknown word
}

void process_document(char *inpath, char *outpath)
{
  char cur_word[MAX_WORD_SIZE];

  if ((in_doc= fopen(inpath, "r")) == NULL) {
      error("Cannot open input file."); 
  }
  if ((out_doc= fopen(outpath, "w"))== NULL) {
      error ("Cannot open output file.");
  }

  for (;;) {
      if (get_word(cur_word) == -1) break;
      if (! is_known(cur_word)) {
          consult_user(cur_word);
      }
      put_word(cur_word);
  }
  fclose(in_doc);
  fclose(out_doc);
}

int main(int argc, char *argv[])
{
    if (argc < 2) {
        error("Usage: name <infile> <outfile>");
    }
    load_dict("dictionary.txt");
    clear_ignored();
    process_document(argv[1], argv[2]);
    save_dict("dictionary.txt");
}