#include <stdio.h>

#define MAX_WORD_SIZE 1024

typedef char *Word;
typedef Word *Dictionary;

extern Dictionary main_dict;
extern Dictionary ignored;

extern FILE *in_doc;
extern FILE *out_doc;

/* Get next word from in_doc, return -1 if no more words to read.
 * Copy all non-alpha characters directly to output. */
int get_word (Word w);
/* Write this word to out_doc. */ 
void put_word(Word w);

/* Load dictionary from given path */
void load_dict(char *path);
/* Save dictionary to given path */
void save_dict(char *path);

/* Add given word to dictionary */
void add_to_dict(Word w);

/* Checks wether word is in dictionary. */
int is_known(Word w);

/* Clear the list of ignored words. */
void clear_ignored();

/* Add given word to list of ignored words. */
void add_to_ignored(Word w);
