#include <stdio.h>
#include <stdlib.h>
#include "words.h"
#include "dictionary.h"

void error(char *msg)
{
    fprintf(stderr, msg);
    exit(0);
}

static Dictionary main_dict;
static Dictionary ignored;

void consult_user(Word *cur_word)
{
    // Ask user what to do with unknown word
    //   either add to main_dict, or to ignored, or let user correct word.
}

void process_document(char *inpath, char *outpath)
{
  FILE *in_doc, *out_doc;
  char cur_word[MAX_WORD_SIZE];

  if ((in_doc= fopen(inpath, "r")) == NULL) {
      error("Cannot open input file."); 
  }
  if ((out_doc= fopen(outpath, "w"))== NULL) {
      error ("Cannot open output file.");
  }

  while (get_word(in_doc, cur_word, out_doc) != -1) {
      if (! is_known(main_dict, cur_word) && 
          ! is_known(ignored, cur_word)) {
          consult_user(cur_word);
      }
      put_word(out_doc, cur_word);
  }
  fclose(in_doc);
  fclose(out_doc);
}

int main(int argc, char *argv[])
{
    if (argc < 2) {
        error("Usage: name <infile> <outfile>");
    }
    if ((main_dict= load_dict("dictionary.txt"))== NULL) {
        error("Can't read main dictionary.");
    }
    ignored= create_empty_dict();
    process_document(argv[1], argv[2]);
    save_dict(main_dict, "dictionary.txt");
}