module Spellcheck where

import System.IO
import System.Environment(getArgs)
import Word
import Dictionary(Dictionary)
import qualified Dictionary

data Dictionaries = Dictionaries { main :: Dictionary
                                 , ignored :: Dictionary }

consultUser :: Dictionaries-> Word-> IO (Dictionaries, Word)

processDocument :: Dictionaries-> FilePath-> FilePath-> IO (Dictionaries)
processDocument dicts inf outf = do
    inH <- openFile inf ReadMode
    outH <- openFile outf WriteMode
    procFile dicts where 
      procFile ds = do 
        cw <- getWord inH outH
        case cw of 
          Just w | not contains (main ds) w && not contains (ignored ds) w -> do 
              (ds1, cw) <- consultUser(ds, w)
              putWord cw
              procFile ds1 
          Just w -> do putWord w; procFile ds
          Nothing -> return ds

main :: IO ()
main = do
  inf:out:_ <- getArgs
  md <- Dictionary.load "dictionary.txt"
  let ds = Dictionaries md Dictionary.empty
  ds<- processDocument(ds, inf, out)
  Dictionary.write(main ds) "dictionary.txt"

  